<?php
	if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
	}

	$users_query = new WP_User_Query( array(
		'role__in' => zleadscrm_get_selected_roles()
	) );

	$users                                            = $users_query->get_results();
	$zleadscrm_users_allowed_access_pipelines_setting = zleadscrm_get_users_allowed_access_pipelines_setting();
	$allowed_access_pipelines_users                   = zleadscrm_get_access_pipelines_users();

	if ( zleadscrm_allow_edit_settings() == false ) {
		echo '<div class="zleadscrm_not_allowed_wrap">';
		echo '<p>Sorry, you are not allowed to access this page!</p>';
		echo '</div>';
		exit;
	}

?>


<div id="zleadscrm_edit_settings_wrap">

    <div style="margin-top: 20px;">
        <label style="margin: 10px 0 10px 0;"><b>Users Allowed to Access Pipeline Functionality </b></label>
        <div style=" margin-top: 10px; margin-bottom: 20px; margin-left:10px;">
            <div style="display:inline; margin-right: 10px;">
                <input type="radio" id="zleadscrm_users_allowed_access_pipelines_setting_all"
                       name="zleadscrm_users_allowed_access_pipelines_setting" value="all" <?php checked(
					'all', $zleadscrm_users_allowed_access_pipelines_setting, true ) ?>>All Users
            </div>
            <div style="display:inline; margin-right: 10px;">
                <input type="radio" id="zleadscrm_users_allowed_access_pipelines_setting_users"
                       name="zleadscrm_users_allowed_access_pipelines_setting" value="users" <?php checked(
					'users', $zleadscrm_users_allowed_access_pipelines_setting, true ) ?>>Select Users
            </div>
        </div>

        <div id="zleadscrm_allowed_users_access_pipelines_list_container">
            <select id="zleadscrm_users_access_pipelines_list"
                    name="zleadscrm_allowed_access_pipelines_users[]" multiple="multiple">
				<?php if ( $users ) {
					foreach ( $users as $user ) {
						$extra = '';
						if ( in_array( $user->ID, $allowed_access_pipelines_users ) ) {
							$extra = 'selected="selected"';
						}
						echo '<option value="' . esc_attr( $user->ID ) . '" ' . $extra . '>' . esc_html( $user->display_name ) . '</option>';
					}
				}
				?>
            </select>
        </div>
    </div>
</div>
